prepare.args {sglOptim} | R Documentation

## Generic function for preparing the sgl call arguments

### Description

Compute and prepare the sgl call arguments for the objective function

\mathrm{loss}(\mathrm{data})(β) + λ ≤ft( (1-α) ∑_{J=1}^m γ_J \|β^{(J)}\|_2 + α ∑_{i=1}^{n} ξ_i |β_i| \right)

where \mathrm{loss} is a loss/objective function. The n parameters are organized in the parameter matrix β with dimension q\times p. The vector β^{(J)} denotes the J parameter group, the dimension of β^{(J)} is denote by d_J. The dimensions d_J must be multiple of q, and β = (β^{(1)} \cdots β^{(m)}). The group weights γ \in [0,∞)^m and the parameter weights ξ \in [0,∞)^{qp}.

### Usage

    prepare.args(data, ...)

### Arguments

`data` | a data object
`...` | additional parameters

### Value

`block_dim` | a vector of length m, containing the dimensions d_J of the groups (i.e. the number of parameters in the groups)
`groupWeights` | a vector of length m, containing the group weights
`parameterWeights` | a matrix of dimension q \times p, containing the parameter weights
`alpha` | the α value
`data` | the data parsed to the loss module
`group_order` | original order of the columns of β. Before sgl routines return β will be reorganized according to this order.

### Author(s)

Martin Vincent

### See Also

prepare.args.sgldata

Other sgldata: `add_data.sgldata`, `create.sgldata`, `prepare.args.sgldata`, `prepare_data`, `rearrange.sgldata`, `subsample.sgldata`

[Package sglOptim version 1.3.8 Index]